<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>M-Index</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="M-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-9.html">Prev Letter</a></li>
<li><a href="index-11.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-10.html" target="_top">Frames</a></li>
<li><a href="index-10.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="../examples/newaggregation/NewAggregationMain.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class examples.newaggregation.<a href="../examples/newaggregation/NewAggregationMain.html" title="class in examples.newaggregation">NewAggregationMain</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../examples/newquery/NewQueryMain.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class examples.newquery.<a href="../examples/newquery/NewQueryMain.html" title="class in examples.newquery">NewQueryMain</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../examples/newtemplate/NewTemplateMain.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class examples.newtemplate.<a href="../examples/newtemplate/NewTemplateMain.html" title="class in examples.newtemplate">NewTemplateMain</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../tests/assertions/Main.html" title="class in tests.assertions"><span class="typeNameLink">Main</span></a> - Class in <a href="../tests/assertions/package-summary.html">tests.assertions</a></dt>
<dd>
<div class="block">Main test class to check if the request objects are built as expected</div>
</dd>
<dt><span class="memberNameLink"><a href="../tests/assertions/Main.html#Main--">Main()</a></span> - Constructor for class tests.assertions.<a href="../tests/assertions/Main.html" title="class in tests.assertions">Main</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/assertions/Main.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class tests.assertions.<a href="../tests/assertions/Main.html" title="class in tests.assertions">Main</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tests/testquery/TestQueryMain.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class tests.testquery.<a href="../tests/testquery/TestQueryMain.html" title="class in tests.testquery">TestQueryMain</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../queries/fulltext/Match.html" title="class in queries.fulltext"><span class="typeNameLink">Match</span></a> - Class in <a href="../queries/fulltext/package-summary.html">queries.fulltext</a></dt>
<dd>
<div class="block">Represents the ES match query</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/fulltext/Match.html#Match--">Match()</a></span> - Constructor for class queries.fulltext.<a href="../queries/fulltext/Match.html" title="class in queries.fulltext">Match</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/fulltext/Match.html#Match-java.lang.String-java.lang.String-float-java.lang.String-java.lang.String-">Match(String, String, float, String, String)</a></span> - Constructor for class queries.fulltext.<a href="../queries/fulltext/Match.html" title="class in queries.fulltext">Match</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../queries/fulltext/MatchPhrase.html" title="class in queries.fulltext"><span class="typeNameLink">MatchPhrase</span></a> - Class in <a href="../queries/fulltext/package-summary.html">queries.fulltext</a></dt>
<dd>
<div class="block">Represents the ES match_phrase query</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/fulltext/MatchPhrase.html#MatchPhrase--">MatchPhrase()</a></span> - Constructor for class queries.fulltext.<a href="../queries/fulltext/MatchPhrase.html" title="class in queries.fulltext">MatchPhrase</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/fulltext/MatchPhrase.html#MatchPhrase-java.lang.String-java.lang.String-">MatchPhrase(String, String)</a></span> - Constructor for class queries.fulltext.<a href="../queries/fulltext/MatchPhrase.html" title="class in queries.fulltext">MatchPhrase</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../queries/fulltext/MatchPhrasePrefix.html" title="class in queries.fulltext"><span class="typeNameLink">MatchPhrasePrefix</span></a> - Class in <a href="../queries/fulltext/package-summary.html">queries.fulltext</a></dt>
<dd>
<div class="block">Represents the ES match_phrase_prefix query</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/fulltext/MatchPhrasePrefix.html#MatchPhrasePrefix--">MatchPhrasePrefix()</a></span> - Constructor for class queries.fulltext.<a href="../queries/fulltext/MatchPhrasePrefix.html" title="class in queries.fulltext">MatchPhrasePrefix</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/fulltext/MatchPhrasePrefix.html#MatchPhrasePrefix-java.lang.String-java.lang.String-int-">MatchPhrasePrefix(String, String, int)</a></span> - Constructor for class queries.fulltext.<a href="../queries/fulltext/MatchPhrasePrefix.html" title="class in queries.fulltext">MatchPhrasePrefix</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../aggregations/metricsaggs/MetricsAggregation.html" title="class in aggregations.metricsaggs"><span class="typeNameLink">MetricsAggregation</span></a> - Class in <a href="../aggregations/metricsaggs/package-summary.html">aggregations.metricsaggs</a></dt>
<dd>
<div class="block">Represents the ES metrics aggregation</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/metricsaggs/MetricsAggregation.html#MetricsAggregation--">MetricsAggregation()</a></span> - Constructor for class aggregations.metricsaggs.<a href="../aggregations/metricsaggs/MetricsAggregation.html" title="class in aggregations.metricsaggs">MetricsAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/metricsaggs/MetricsAggregation.html#MetricsAggregation-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.util.List-int-double-">MetricsAggregation(String, String, String, String, List&lt;AggregationType&gt;, int, double)</a></span> - Constructor for class aggregations.metricsaggs.<a href="../aggregations/metricsaggs/MetricsAggregation.html" title="class in aggregations.metricsaggs">MetricsAggregation</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-9.html">Prev Letter</a></li>
<li><a href="index-11.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-10.html" target="_top">Frames</a></li>
<li><a href="index-10.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
